Summary: Userspace control program for the arptables network filter.

Name: arptables_jf

Epoch: 0
Version: 0.0.8
Release: 6.2.1
Source: %{name}-%{version}.tbz
#Source1: Makefile
#Source2: arptables.h
#Source3: arptables.8
#Source4: libarptc.c
#Source5: libarptc.h
#Source6: arptables.init
Patch1: arptables_jf-0.0.8-2.6-kernel.patch
Patch2: arptables_jf-0.0.8-man.patch

BuildRoot: %{_tmppath}/%{name}-buildroot

Group: System Environment/Base

License: GPL

BuildPrereq: /usr/bin/perl

Conflicts: kernel < 2.4.0

Requires(post,postun): chkconfig
BuildRequires: glibc-kernheaders

%description

The arptables_jf utility controls the arpfilter network packet filtering
code in the Linux kernel.  You do not need this program for normal
network firewalling.  If you need to manually control which arp
requests and/or replies this machine accepts and sends, you should
install this package.

%prep
rm -rf %{buildroot}
%setup -q
%patch1 -p1 -b .2.6-kernel
%patch2 -p1 -b .man

%build
make all LIBDIR=/%{_lib}

%install
make install DESTDIR=%{buildroot} LIBDIR=/%{_lib}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add arptables_jf

%preun
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del arptables_jf
fi

%files
%defattr(-,root,root,0755)
%config /etc/rc.d/init.d/arptables_jf
/sbin/arptables*
%{_mandir}/*/arptables*


%changelog
* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0:0.0.8-6.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0:0.0.8-6.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Aug 18 2005 Florian La Roche <laroche@redhat.com>
- change the requires into a conflicts for "kernel"

* Thu Jun 9 2005 Jay Fenlason <fenlason@redhat.com> 0.0.8-5
- add -man patch to correct the names of the default tables.
  bz#123089 aptables man pages is not correct: built in chain name are wrong.

* Tue Mar 8 2005 Jay Fenlason <fenlason@redhat.com> 0.0.8-4
- rebuilt with gcc4

* Fri Nov 26 2004 Florian La Roche <laroche@redhat.com>
- add a %%clean target into .spec

* Tue Aug 31 2004 Jay Fenlason <fenlason@redhat.com> 0.0.8-2
- backport latest version from 3E branch.
- Add 2.6-kernel patch, since glibc_kernheaders has incorrect
  arptables headers for the 2.6 kernel.

* Mon Jul 7 2003 Jay Fenlason <fenlason@redhat.com> 0.0.2-0
- first attempt at a packaged version of arptables_jf, for
  cambridge.
